### Method

# Gtk Statusbar get_context_id

deprecated: 4.10

#### Declaration [src]

    guint
    gtk_statusbar_get_context_id (
      GtkStatusbar* statusbar,
      const char* context_description
    )

#### Description [src]

Returns a new context identifier, given a description of the actual context.

Note that the description is not shown in the UI.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`context_description`

  Type: `const char*`

  Textual description of what context the new message is being used in.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

An integer id.